%global major 2
%define libname %mklibname xfont2_ %{major}
%define devname %mklibname -d xfont2

Summary: X.Org X11 libXfont2 runtime library
Name: libxfont2
Version: 2.0.1
Release: %mkrel 4
License: MIT
Group: System/Libraries
URL: http://www.x.org

Source0: http://www.x.org/pub/individual/lib/libXfont2-%{version}.tar.bz2
# Misc fixes cherry picked from upstream git master
Patch0: libXfont-2.0.1-misc-fixes.patch

BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig(fontsproto)
BuildRequires: x11-util-macros
BuildRequires: x11-xtrans-devel >= 1.0.3-3
BuildRequires: libfontenc-devel
BuildRequires: freetype2-devel

%description
X.Org X11 libXfont2 runtime library

%package -n %libname
Summary: X.Org X11 libXfont2 runtime library
Group: System/Libraries
Obsoletes: %{_lib}Xfont2 < 2.0.1-4

%description -n %libname
X.Org X11 libXfont2 runtime library

%package -n %devname
Summary: X.Org X11 libXfont2 development package
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libxfont2-devel = %{version}-%{release}
Obsoletes: %{_lib}Xfont-devel < 2.0.1-4

%description -n %devname
X.Org X11 libXfont development package

%prep
%setup -q -n libXfont2-%version
%patch0 -p1

%build
autoreconf -v --install --force
export CFLAGS="$RPM_OPT_FLAGS -Os"
%configure2_5x --disable-static
%make_build

%install
%make_install

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%files -n %libname
%license COPYING
%doc AUTHORS README ChangeLog
%{_libdir}/libXfont2.so.%{major}
%{_libdir}/libXfont2.so.%{major}.*

%files -n %devname
%{_includedir}/X11/fonts/libxfont2.h
%{_libdir}/libXfont2.so
%{_libdir}/pkgconfig/xfont2.pc


%changelog
* Sat Nov 26 2016 wally <wally> 2.0.1-4.mga6
+ Revision: 1070252
- fix lib and devel pkg names and make them lowercase
- fix lib pkg summary

* Wed Nov 16 2016 tv <tv> 2.0.1-3.mga6
+ Revision: 1067605
- imported package libXfont2

